/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package ChessManager;

import javax.swing.text.JTextComponent;

/**
 *
 * @author jonathan
 */
public class GUI extends javax.swing.JFrame {
    private data myData = new data();

    /**
     * Creates new form GUI
     */
    public GUI() {
        initComponents();
        myData.load();
        this.setBounds(300,150,600,400);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        StudentsFrame = new javax.swing.JFrame();
        StudentstoHome = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        StudentsTextArea = new javax.swing.JTextArea();
        addStudentButton = new javax.swing.JButton();
        editStudentButton = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        studentNameChooser = new javax.swing.JList();
        deleteStudentButton = new javax.swing.JButton();
        GamesFrame = new javax.swing.JFrame();
        GamestoHome = new javax.swing.JButton();
        editStudentFrame = new javax.swing.JFrame();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        nameField = new javax.swing.JLabel();
        gradeField = new javax.swing.JLabel();
        ratingField = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jTextField4 = new javax.swing.JTextField();
        jTextField5 = new javax.swing.JTextField();
        saveStudent = new javax.swing.JButton();
        editStudentstoStudents = new javax.swing.JButton();
        errorFrame = new javax.swing.JFrame();
        errorBackButton = new javax.swing.JButton();
        errorMessage = new javax.swing.JTextField();
        ChessClubManagerLabel = new javax.swing.JLabel();
        ViewStudentsButton = new javax.swing.JButton();
        ViewGamesButton = new javax.swing.JButton();

        StudentsFrame.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosed(java.awt.event.WindowEvent evt) {
                StudentsFrameWindowClosed(evt);
            }
            public void windowClosing(java.awt.event.WindowEvent evt) {
                StudentsFrameWindowClosing(evt);
            }
        });

        StudentstoHome.setText("Back");
        StudentstoHome.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                StudentstoHomeActionPerformed(evt);
            }
        });

        StudentsTextArea.setColumns(20);
        StudentsTextArea.setRows(5);
        jScrollPane2.setViewportView(StudentsTextArea);

        addStudentButton.setText("Add Student");
        addStudentButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addStudentButtonActionPerformed(evt);
            }
        });

        editStudentButton.setText("Edit Student");
        editStudentButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                editStudentButtonActionPerformed(evt);
            }
        });

        studentNameChooser.setModel(new javax.swing.AbstractListModel() {
            String[] strings = myData.getStudentNames();
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jScrollPane1.setViewportView(studentNameChooser);

        deleteStudentButton.setText("Delete Student");
        deleteStudentButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                deleteStudentButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout StudentsFrameLayout = new javax.swing.GroupLayout(StudentsFrame.getContentPane());
        StudentsFrame.getContentPane().setLayout(StudentsFrameLayout);
        StudentsFrameLayout.setHorizontalGroup(
            StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(StudentsFrameLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, StudentsFrameLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(StudentstoHome))
                    .addGroup(StudentsFrameLayout.createSequentialGroup()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 317, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(StudentsFrameLayout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 134, Short.MAX_VALUE))
                            .addGroup(StudentsFrameLayout.createSequentialGroup()
                                .addGroup(StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(StudentsFrameLayout.createSequentialGroup()
                                        .addGap(30, 30, 30)
                                        .addGroup(StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addComponent(addStudentButton)
                                            .addComponent(editStudentButton)))
                                    .addGroup(StudentsFrameLayout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addComponent(deleteStudentButton)))
                                .addGap(0, 0, Short.MAX_VALUE)))))
                .addContainerGap())
        );
        StudentsFrameLayout.setVerticalGroup(
            StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, StudentsFrameLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(StudentsFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(StudentsFrameLayout.createSequentialGroup()
                        .addComponent(addStudentButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(editStudentButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(deleteStudentButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane1))
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 281, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(StudentstoHome)
                .addContainerGap())
        );

        GamesFrame.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                GamesFrameWindowClosing(evt);
            }
        });

        GamestoHome.setText("Back");
        GamestoHome.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                GamestoHomeActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout GamesFrameLayout = new javax.swing.GroupLayout(GamesFrame.getContentPane());
        GamesFrame.getContentPane().setLayout(GamesFrameLayout);
        GamesFrameLayout.setHorizontalGroup(
            GamesFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, GamesFrameLayout.createSequentialGroup()
                .addContainerGap(342, Short.MAX_VALUE)
                .addComponent(GamestoHome)
                .addContainerGap())
        );
        GamesFrameLayout.setVerticalGroup(
            GamesFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, GamesFrameLayout.createSequentialGroup()
                .addContainerGap(259, Short.MAX_VALUE)
                .addComponent(GamestoHome)
                .addContainerGap())
        );

        editStudentFrame.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                editStudentFrameWindowClosing(evt);
            }
        });

        jTextField1.setText("jTextField1");
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        jTextField2.setText("jTextField2");

        jTextField3.setText("jTextField3");

        nameField.setText("name:");

        gradeField.setText("grade:");

        ratingField.setText("rating:");

        jLabel4.setText("jLabel4");

        jLabel5.setText("jLabel5");

        jTextField4.setText("jTextField4");

        jTextField5.setText("jTextField5");

        saveStudent.setText("Save");
        saveStudent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                saveStudentActionPerformed(evt);
            }
        });

        editStudentstoStudents.setText("Back");
        editStudentstoStudents.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                editStudentstoStudentsActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout editStudentFrameLayout = new javax.swing.GroupLayout(editStudentFrame.getContentPane());
        editStudentFrame.getContentPane().setLayout(editStudentFrameLayout);
        editStudentFrameLayout.setHorizontalGroup(
            editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(editStudentFrameLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(nameField)
                    .addComponent(gradeField)
                    .addComponent(ratingField)
                    .addComponent(jLabel4)
                    .addComponent(jLabel5))
                .addGap(41, 41, 41)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(212, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, editStudentFrameLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(saveStudent)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(editStudentstoStudents)
                .addGap(3, 3, 3))
        );
        editStudentFrameLayout.setVerticalGroup(
            editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(editStudentFrameLayout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(nameField))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(gradeField))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(ratingField))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 71, Short.MAX_VALUE)
                .addGroup(editStudentFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(saveStudent)
                    .addComponent(editStudentstoStudents))
                .addContainerGap())
        );

        errorBackButton.setText("OK");
        errorBackButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                errorBackButtonActionPerformed(evt);
            }
        });

        errorMessage.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentShown(java.awt.event.ComponentEvent evt) {
                errorMessageComponentShown(evt);
            }
        });

        javax.swing.GroupLayout errorFrameLayout = new javax.swing.GroupLayout(errorFrame.getContentPane());
        errorFrame.getContentPane().setLayout(errorFrameLayout);
        errorFrameLayout.setHorizontalGroup(
            errorFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(errorFrameLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(errorMessage)
                .addContainerGap())
            .addGroup(errorFrameLayout.createSequentialGroup()
                .addGap(79, 79, 79)
                .addComponent(errorBackButton)
                .addContainerGap(78, Short.MAX_VALUE))
        );
        errorFrameLayout.setVerticalGroup(
            errorFrameLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, errorFrameLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(errorMessage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(errorBackButton)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                formWindowClosing(evt);
            }
        });

        ChessClubManagerLabel.setText("Chess Club Manager");

        ViewStudentsButton.setText("View Students");
        ViewStudentsButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ViewStudentsButtonActionPerformed(evt);
            }
        });

        ViewGamesButton.setText("View Games");
        ViewGamesButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ViewGamesButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(211, 211, 211)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(ViewStudentsButton, javax.swing.GroupLayout.PREFERRED_SIZE, 174, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(ViewGamesButton, javax.swing.GroupLayout.PREFERRED_SIZE, 174, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(228, 228, 228)
                        .addComponent(ChessClubManagerLabel)))
                .addContainerGap(215, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(49, 49, 49)
                .addComponent(ChessClubManagerLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 39, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(ViewStudentsButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(ViewGamesButton)
                .addContainerGap(242, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ViewStudentsButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ViewStudentsButtonActionPerformed
        //go to student list frame
        StudentsTextArea.setText(myData.displayStudents());
        //StudentsTextArea.append(myData.printStudents());
        studentNameChooser.setListData(myData.getStudentNames());
        StudentsFrame.setBounds(300, 150, 600, 400);
        StudentsFrame.setVisible(true);
        this.setVisible(false);
    }//GEN-LAST:event_ViewStudentsButtonActionPerformed

    private void StudentstoHomeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_StudentstoHomeActionPerformed
        // TODO add your handling code here:
        this.setVisible(true);
        StudentsFrame.dispose();
    }//GEN-LAST:event_StudentstoHomeActionPerformed

    private void StudentsFrameWindowClosed(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_StudentsFrameWindowClosed
        // TODO add your handling code here:
    }//GEN-LAST:event_StudentsFrameWindowClosed

    private void StudentsFrameWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_StudentsFrameWindowClosing
        // TODO add your handling code here:
        this.setVisible(true);
    }//GEN-LAST:event_StudentsFrameWindowClosing

    private void GamestoHomeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_GamestoHomeActionPerformed
        // TODO add your handling code here:
        GamesFrame.dispose();
        this.setVisible(true);
    }//GEN-LAST:event_GamestoHomeActionPerformed

    private void GamesFrameWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_GamesFrameWindowClosing
        // TODO add your handling code here:
        this.setVisible(true);
    }//GEN-LAST:event_GamesFrameWindowClosing

    private void ViewGamesButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ViewGamesButtonActionPerformed
        // TODO add your handling code here:
        
        GamesFrame.setBounds(300,150,600,400);
        GamesFrame.setVisible(true);
        this.setVisible(false);
    }//GEN-LAST:event_ViewGamesButtonActionPerformed

    private void addStudentButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addStudentButtonActionPerformed
        jTextField1.setText("");
        jTextField1.setColumns(8);
        jTextField2.setText("");
        jTextField2.setColumns(8);
        jTextField3.setText("");
        jTextField3.setColumns(8);
        jTextField4.setText("");
        jTextField4.setColumns(8);
        jTextField5.setText("");
        jTextField5.setColumns(8);

        editStudentFrame.setBounds(300, 150, 600, 400);
        editStudentFrame.setVisible(true);
        StudentsFrame.setVisible(false);
    }//GEN-LAST:event_addStudentButtonActionPerformed

    private void editStudentstoStudentsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_editStudentstoStudentsActionPerformed
        editStudentFrame.dispose();
        StudentsTextArea.setText(myData.displayStudents());
        studentNameChooser.setListData(myData.getStudentNames());
        StudentsFrame.setVisible(true);
    }//GEN-LAST:event_editStudentstoStudentsActionPerformed

    private void editStudentFrameWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_editStudentFrameWindowClosing
        StudentsFrame.setVisible(true);
    }//GEN-LAST:event_editStudentFrameWindowClosing

    private void editStudentButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_editStudentButtonActionPerformed
        if(studentNameChooser.getSelectedValue() == null){
            //should give the user a toast telling them TODO
            errorMessage.setText("Must select a student!");
            errorFrame.setSize(200,100);
            errorFrame.setLocation(600, 350);
            errorFrame.show();
            return;
        }
        Student chosenStudent = myData.getStudent(studentNameChooser.getSelectedValue().toString());
        
        jTextField1.setText(chosenStudent.name);
        jTextField2.setText(Integer.toString(chosenStudent.grade));
        jTextField3.setText(Double.toString(chosenStudent.rating));
        jTextField4.setText("");
        jTextField5.setText("");
        
        editStudentFrame.setBounds(300, 150, 600, 400);
        editStudentFrame.setVisible(true);
        StudentsFrame.setVisible(false);
    }//GEN-LAST:event_editStudentButtonActionPerformed

    private void saveStudentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_saveStudentActionPerformed
        Student temp = new Student();
        if(studentNameChooser.getSelectedValue() != null){
            Student chosenStudent = myData.getStudent(studentNameChooser.getSelectedValue().toString());
            if(chosenStudent.name != ""){
                temp = chosenStudent;
            }
        }
        if(jTextField1.getText() != "")
            temp.name = jTextField1.getText();
        if(jTextField2.getText() != "")
            temp.grade = Integer.parseInt(jTextField2.getText());
        if(jTextField3.getText() != "")
            temp.rating = Double.parseDouble(jTextField3.getText());
        if(studentNameChooser.getSelectedValue() == null){
            myData.getStudents().addStudent(temp);
        }
        editStudentstoStudentsActionPerformed(evt);
        //need to tell user that save was complete
    }//GEN-LAST:event_saveStudentActionPerformed

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextField1ActionPerformed

    private void errorMessageComponentShown(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_errorMessageComponentShown
        //Why doesnt this get called when setVisible is called
    }//GEN-LAST:event_errorMessageComponentShown

    private void errorBackButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_errorBackButtonActionPerformed
        // TODO add your handling code here:
        errorFrame.dispose();
    }//GEN-LAST:event_errorBackButtonActionPerformed

    private void formWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosing
        // TODO add your handling code here:
        //System.err.println("saving data");
        myData.save();
    }//GEN-LAST:event_formWindowClosing

    private void deleteStudentButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_deleteStudentButtonActionPerformed
        // TODO add your handling code here:
        if(studentNameChooser.getSelectedValue() == null){
            //should give the user a toast telling them TODO
            errorMessage.setText("Must select a student!");
            errorFrame.setSize(200,100);
            errorFrame.setLocation(600, 350);
            errorFrame.show();
            return;
        }
        Student chosenStudent = myData.getStudent(studentNameChooser.getSelectedValue().toString());
        myData.getStudents().removeStudent(chosenStudent);
        editStudentstoStudentsActionPerformed(evt);
    }//GEN-LAST:event_deleteStudentButtonActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(GUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(GUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(GUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(GUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        
        //set up student list and game list
        
        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new GUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel ChessClubManagerLabel;
    private javax.swing.JFrame GamesFrame;
    private javax.swing.JButton GamestoHome;
    private javax.swing.JFrame StudentsFrame;
    private javax.swing.JTextArea StudentsTextArea;
    private javax.swing.JButton StudentstoHome;
    private javax.swing.JButton ViewGamesButton;
    private javax.swing.JButton ViewStudentsButton;
    private javax.swing.JButton addStudentButton;
    private javax.swing.JButton deleteStudentButton;
    private javax.swing.JButton editStudentButton;
    private javax.swing.JFrame editStudentFrame;
    private javax.swing.JButton editStudentstoStudents;
    private javax.swing.JButton errorBackButton;
    private javax.swing.JFrame errorFrame;
    private javax.swing.JTextField errorMessage;
    private javax.swing.JLabel gradeField;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JLabel nameField;
    private javax.swing.JLabel ratingField;
    private javax.swing.JButton saveStudent;
    private javax.swing.JList studentNameChooser;
    // End of variables declaration//GEN-END:variables
}
